# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fofa/version'

Gem::Specification.new do |spec|
  spec.name          = "fofa"
  spec.version       = Fofa::VERSION
  spec.authors       = ["fofa"]
  spec.email         = ["root@fofa.so"]

  spec.summary       = %q{A Ruby library to interact with the FOFA API. https://fofa.so}
  spec.description   = %q{Ruby API client for the FOFA cyberspace search engine.}
  spec.homepage      = "https://fofa.so"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  #spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.executables << 'fofacli'
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "colorize"
  spec.add_runtime_dependency "concurrent-ruby"
end
